﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService

@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Delete);
}

@section Scripts{
    <script src="/assets/js/vendor/jquery.dataTables.min.js"></script>
    <script src="/assets/js/vendor/dataTables.bootstrap5.js"></script>
    <script src="/assets/js/vendor/dataTables.responsive.min.js"></script>
    <script src="/assets/js/vendor/responsive.bootstrap5.min.js"></script>
    <script src="/assets/js/vendor/dataTables.checkboxes.min.js"></script>
    <script src="/assets/js/pages/demo.products.js"></script>
    <script src="/Ngochau/table-treegrid/js/jquery.treegrid.js"></script>
    <script src="/controller/plan/plans.js" asp-append-version="true"></script>
    @*<script src="/controller/function/functions.js" asp-append-version="true"></script>*@

}
@section Styles{
    <link href="/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="/Ngochau/table-treegrid/css/jquery.treegrid.css" rel="stylesheet" type="text/css" />
}

<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">Quản lý kế hoạch</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-xl-6">
                            <form class="row gy-2 gx-2 align-items-center justify-content-xl-start justify-content-between">
                                <div class="col-auto">
                                    <label for="inputPassword2" class="visually-hidden">Search</label>
                                    <input type="text" class="form-control" id="txtSearchPlan" placeholder="Tìm kiếm...">
                                </div>
@*                                <div class="col-auto">
                                    <div class="d-flex align-items-center">
                                        <select class="form-select" id="ddlStatusSearch">
                                            <option value="">Chọn trạng thái đơn hàng</option>
                                            <option value="0">Mới</option>
                                            <option value="1">Đóng</option>
                                        </select>
                                    </div>
                                </div>*@
                                <div class="col-auto">
                                    <a class="btn btn-primary" onclick="OnClickSearch()"><i class="uil-search"></i> Tìm kiếm</a>
                                </div>
                            </form>
                        </div>
                        <div class="col-xl-6">
                            <div class="text-xl-end mt-xl-0 mt-2">
                                <a href="/cpanel/plan/plan" class="btn btn-primary mb-2 me-2"><i class="uil-plus"></i> Thêm mới</a>
                                <button onclick="ExportExcel()" type="button" class="btn btn-light mb-2">Tải Plan</button>
                            </div>
                        </div><!-- end col-->
                    </div>

                    <div class="table-responsive">
                        <table class="table table-centered table-nowrap mb-0">
                            <thead class="table-light">
                                <tr>
                                    <th style="width: 20px;">
    @*                                    <div class="form-check">
                                            <input type="checkbox" class="form-check-input" id="chkParentRole">
                                            <label class="form-check-label" for="chkParentRole">&nbsp;</label>
                                        </div>*@
                                    </th>
                                    <th>Mã kế hoạch</th>
                                    <th>Tên kế hoạch</th>
                                    <th>Tổng tiền</th>
                                    <th>Ngày tạo</th>
                                    <th style="text-align:center;">Action</th>
                                </tr>
                            </thead>
                            <tbody id="tbPlan">
                                @*                                    <tr>
                                <td>
                                <div class="form-check">
                                <input type="checkbox" class="form-check-input" id="customCheck2">
                                <label class="form-check-label" for="customCheck2">&nbsp;</label>
                                </div>
                                </td>
                                <td><a href="/cpanel/plan/plan" class="text-body fw-bold">#BM9708</a> </td>
                                <td>Kế hoạch lên container 01 </td>
                                <td>#PO000001</td>
                                <td>#CTR09231 </td>
                                <td>GOOD - Khách hàng A</td>
                                <td>
                                20/10/2023   <small class="text-muted">10:29 PM</small>
                                </td>
                                <td>
                                20/10/2023   <small class="text-muted">10:29 PM</small>
                                </td>
                                <td>1000$</td>
                                <td><span class="badge badge-primary-lighten"><i class="mdi mdi-bitcoin"></i> Mới</span></td>
                                <td style="text-align:center;">
                                <a href="javascript:void(0);" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                                <a href="javascript:void(0);" class="action-icon"> <i class="mdi mdi-delete"></i></a>
                                </td>
                                </tr>*@
                            </tbody>
                        </table>
                    </div>

                    <div class="row">
                        <div class="col-sm-12 col-md-12 d-flex flex-row justify-content-between p-2">
                            <div class="d-flex flex-row justify-content-start">
                                <div class="dataTables_paginate paging_simple_numbers p-1" style="float:right;" id="basic-datatable_paginate">
                                    <ul class="pagination pagination-rounded" id="paginationUL">
                                    </ul>
                                </div>
                                <div class="p-2">
                                    <div class="form-label">Hiển thị</div>
                                </div>
                                <div class="p-1">
                                    <select name="basic-datatable_length" aria-controls="basic-datatable" id="ddlShowPage" class="form-select form-select-sm">
                                        <option value="10">10</option>
                                        <option value="25">25</option>
                                        <option value="50">50</option>
                                        <option value="100">100</option>
                                    </select>
                                </div>
                                <div class="p-2">
                                    mục
                                </div>
                            </div>

                            <div class="dataTables_info d-flex justify-content-end p-2" id="lblTotalRecords" role="status" aria-live="polite">
                            </div>
                        </div>
                        <div style="clear:both;"></div>
                    </div>
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <!-- end row -->
</div>


<script id="table-template-plan" type="x-tmpl-mustache">
        <tr>
            <td>
                <div class="form-check">
                    <input type="checkbox" class="form-check-input chkRole">
                    <label class="form-check-label" for="chkRole">&nbsp;</label>
                    <input type="hidden" class="form-check-input PlanId" value ='{{Id}}'>
                </div>
            </td>

            <td><a class="text-body fw-bold">#{{Code}}</a> </td>
            <td>
                {{Name}}
            </td>
            <td>
                {{TotalMoney}}
            </td>
            <td>
                {{CreateDate}}
            </td>            
            <td style="text-align:center">
                <a href="/cpanel/plan/plan?id={{Id}}" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                <a onclick="DeletePlan('{{Id}}')" class="action-icon"> <i class="mdi mdi-delete"></i></a>
            </td>
    </tr>
</script>

